View Issue Details

IDProjectCategoryView StatusLast Update
0030573Open CASCADEOCCT:Foundation Classespublic2022-03-29 16:47
Reporteroan Assigned Toapn  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.4.0Fixed in Version7.4.0 
Summary0030573: OSD_Parallel_TBB: limit number of execution threads using settings of OSD_ThreadPool::DefaultPool()
DescriptionCurrently there is no possibility to limit number of execution threads for TBB-based implementation of OSD_Parallel.

It is suggested to add tbb::task_scheduler_init to OSD_Parallel::forEach() method for that reason.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed

Relationships

related to 0029935 closedbugmaster Open CASCADE Foundation Classes - introduce OSD_ThreadPool class defining a thread pool 
parent of 0030959 closedbugmaster Open CASCADE OSD_Parallel_TBB: number of execution threads is strictly limited by the root scope 
parent of 0032697 verifiedsmoskvin Community Configuration - fix compilation errors with oneTBB 2021 
parent of 0032891 newazv Open CASCADE Coding Rules - eliminating TBB deprecation warning on Ubuntu 20.04 
related to 0032851 newabv Community OCCT algorithms create/destroy a large number of threads when Intel TBB enabled 
child of 0028199 assigned Open CASCADE Add possibility to set number of threads for parallel execution 
Not all the children of this issue are yet resolved or closed.

Activities

git

2019-03-14 20:12

administrator   ~0082962

Branch CR30573 has been created by oan.

SHA-1: 36a857253ab268115229f824e833d199443c7b25


Detailed log of new commits:

Author: oan
Date: Thu Mar 14 19:22:04 2019 +0300

    0030573: OSD_Parallel_TBB: limit number of execution threads using settings of OSD_ThreadPool::DefaultPool()
    
    Add tbb::task_scheduler_init to OSD_Parallel::forEach().

git

2019-03-15 11:51

administrator   ~0082973

Branch CR30573 has been updated forcibly by oan.

SHA-1: dc7e28d61e982adb25c4ace8c97ce3ac7d80fffb

oan

2019-03-15 13:52

developer   ~0082983

Dear Andrey,

please review branch CR30573.

Test reports:
http://occt-tests/CR30573-master-OAN-OCCT/Windows-64-VC14/diff_summary.html
http://occt-tests/CR30573-master-OAN-OCCT/Debian80-64/diff_summary.html

git

2019-03-15 18:05

administrator   ~0083001

Branch CR30573 has been updated forcibly by oan.

SHA-1: 7e9925efec2dc1cc80662f6054f1b9793e3c121a

msv

2019-03-15 18:07

developer   ~0083002

Reviewed.

apn

2019-03-15 19:06

administrator   ~0083007

Combination -
OCCT branch : CR30573
master SHA - dc7e28d61e982adb25c4ace8c97ce3ac7d80fffb
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - 19cf12d4f918562ea1456aa224c6f7a64b9c4ad7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16594.050000000094 / 16599.24999999996 [-0.03%]
Products
Total CPU difference: 9122.510000000038 / 9092.71000000004 [+0.33%]
Windows-64-VC14:
OCCT
Total CPU difference: 17988.640625 / 17985.28125 [+0.02%]
Products
Total CPU difference: 10584.359375 / 10460.953125 [+1.18%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2019-03-19 10:32

administrator   ~0083075

Branch CR30573 has been deleted by inv.

SHA-1: 7e9925efec2dc1cc80662f6054f1b9793e3c121a

Related Changesets

occt: master e9fb0cba

2019-03-14 16:22:04

oan


Committer: apn Details Diff
0030573: OSD_Parallel_TBB: limit number of execution threads using settings of OSD_ThreadPool::DefaultPool()

Add tbb::task_scheduler_init to OSD_Parallel::forEach().
Affected Issues
0030573
mod - src/OSD/OSD_Parallel_TBB.cxx Diff File

Issue History

Date Modified Username Field Change
2019-03-14 19:23 oan New Issue
2019-03-14 19:23 oan Assigned To => abv
2019-03-14 20:12 git Note Added: 0082962
2019-03-14 21:21 kgv Relationship added related to 0029935
2019-03-15 11:51 git Note Added: 0082973
2019-03-15 13:52 oan Note Added: 0082983
2019-03-15 13:52 oan Status new => resolved
2019-03-15 13:52 oan Steps to Reproduce Updated
2019-03-15 17:14 kgv Assigned To abv => msv
2019-03-15 18:05 git Note Added: 0083001
2019-03-15 18:07 msv Note Added: 0083002
2019-03-15 18:07 msv Assigned To msv => bugmaster
2019-03-15 18:07 msv Status resolved => reviewed
2019-03-15 19:06 apn Test case number => Not needed
2019-03-15 19:06 apn Note Added: 0083007
2019-03-15 19:06 apn Status reviewed => tested
2019-03-17 15:40 apn Changeset attached => occt master e9fb0cba
2019-03-17 15:40 apn Assigned To bugmaster => apn
2019-03-17 15:40 apn Status tested => verified
2019-03-17 15:40 apn Resolution open => fixed
2019-03-19 10:32 git Note Added: 0083075
2019-03-25 14:23 kgv Relationship added child of 0028199
2019-09-11 11:03 oan Relationship added parent of 0030959
2021-11-29 21:29 kgv Relationship added parent of 0032697
2022-02-21 21:18 kgv Relationship added related to 0032851
2022-03-29 16:47 kgv Relationship added parent of 0032891